%define upstream_name    Padre-Plugin-Ecliptic
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Padre plugin that provides Eclipse-like useful features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(File::Which)
BuildRequires: perl(Locale::Msgfmt)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Padre)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
Once you enable this Plugin under Padre, you'll get a brand new menu with
the following options:

Open Resource (Shortcut: Ctrl + Shift + R)
    This opens a nice dialog that allows you to find any file that exists
    in the current document or working directory. You can use ? to replace
    a single character or * to replace an entire string. The matched files
    list are sorted alphabetically and you can select one or more files to
    be opened in Padre when you press the OK button.

    You can simply ignore CVS, .svn and .git folders using a simple
    checkbox (enhancement over Eclipse).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-9.mga8
+ Revision: 1496259
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-8.mga7
+ Revision: 1270240
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-7.mga6
+ Revision: 1031614
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.230.0-6.mga6
+ Revision: 943544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 744013
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 513931
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 371421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 37609
- mageia rebuild
- imported package perl-Padre-Plugin-Ecliptic

